OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_IteratorOnShapesSet Class Reference

`#include <TNaming_IteratorOnShapesSet.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| TNaming_IteratorOnShapesSet ()
| TNaming_IteratorOnShapesSet (const TNaming_ShapesSet &S)
void | Init (const TNaming_ShapesSet &S)
| Initialize the iteration .
Standard_Boolean | More () const
| Returns True if there is a current Item in the iteration. .
void | Next ()
| Move to the next Item .
Standard_EXPORT const TopoDS_Shape & | Value () const
## Private Attributes
TopTools_MapIteratorOfMapOfShape | myIt

## Constructor & Destructor Documentation

TNaming_IteratorOnShapesSet::TNaming_IteratorOnShapesSet | ( |  | ) | `[inline]`

TNaming_IteratorOnShapesSet::TNaming_IteratorOnShapesSet | ( | const TNaming_ShapesSet & | S | ) | `[inline]`

## Member Function Documentation

void TNaming_IteratorOnShapesSet::Init | ( | const TNaming_ShapesSet & | S | ) | `[inline]`

Standard_Boolean TNaming_IteratorOnShapesSet::More | ( |  | ) | const`[inline]`

void TNaming_IteratorOnShapesSet::Next | ( |  | ) | `[inline]`

void TNaming_IteratorOnShapesSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_IteratorOnShapesSet::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_IteratorOnShapesSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TopoDS_Shape & TNaming_IteratorOnShapesSet::Value | ( |  | ) | const`[inline]`

## Field Documentation

TopTools_MapIteratorOfMapOfShape TNaming_IteratorOnShapesSet::myIt`[private]`

The documentation for this class was generated from the following files:

- TNaming_IteratorOnShapesSet.hxx
- TNaming_IteratorOnShapesSet.lxx